# Cancel a batch message A batch can be canceled at any point. If a batch is canceled while it's currently being delivered some messages currently being processed might still be delivered. The delivery report will indicate which messages were canceled and which weren't. Canceling a batch scheduled in the future will result in an empty delivery report while canceling an already sent batch would result in no change to the completed delivery report. Endpoint: DELETE /xms/v1/{service_plan_id}/batches/{batch_id} Version: v1 Security: BearerAuth ## Path parameters: - `service_plan_id` (string, required) Your service plan ID. You can find this on your Dashboard. Example: "jd63jf88477ll123ab4567cd89012ef3" - `batch_id` (string, required) The batch ID you received from sending a message. Example: "01FC66621XXXXX119Z8PMV1QPQ" ## Response 404 fields ## Response 409 fields